import { Description } from "./Description";
import { PointDescription } from "./PointDescription";
import { RectDescription } from "./RectDescription";
import { SeriesDescription } from "./SeriesDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare abstract class SeriesViewerDescription extends Description {
    static $t: Type;
    protected get_type(): string;
    get type(): string;
    constructor();
    private h;
    get crosshairPoint(): PointDescription;
    set crosshairPoint(a: PointDescription);
    private r;
    get animateSeriesWhenAxisRangeChanges(): boolean;
    set animateSeriesWhenAxisRangeChanges(a: boolean);
    private k;
    get effectiveViewport(): RectDescription;
    set effectiveViewport(a: RectDescription);
    private m;
    get windowRect(): RectDescription;
    set windowRect(a: RectDescription);
    private w;
    get useTiledZooming(): boolean;
    set useTiledZooming(a: boolean);
    private v;
    get preferHigherResolutionTiles(): boolean;
    set preferHigherResolutionTiles(a: boolean);
    private bs;
    get zoomTileCacheSize(): number;
    set zoomTileCacheSize(a: number);
    private br;
    get highlightingTransitionDuration(): number;
    set highlightingTransitionDuration(a: number);
    private t;
    get isPagePanningAllowed(): boolean;
    set isPagePanningAllowed(a: boolean);
    private bz;
    get contentHitTestMode(): string;
    set contentHitTestMode(a: string);
    private bv;
    get actualContentHitTestMode(): string;
    set actualContentHitTestMode(a: string);
    private u;
    get isSurfaceInteractionDisabled(): boolean;
    set isSurfaceInteractionDisabled(a: boolean);
    private ct;
    get windowResponse(): string;
    set windowResponse(a: string);
    private a1;
    get windowRectMinWidth(): number;
    set windowRectMinWidth(a: number);
    private b0;
    get crosshairVisibility(): string;
    set crosshairVisibility(a: string);
    private b6;
    get plotAreaBackground(): string;
    set plotAreaBackground(a: string);
    private b1;
    get defaultInteraction(): string;
    set defaultInteraction(a: string);
    private b7;
    get rightButtonDefaultInteraction(): string;
    set rightButtonDefaultInteraction(a: string);
    private b2;
    get dragModifier(): string;
    set dragModifier(a: string);
    private b5;
    get panModifier(): string;
    set panModifier(a: string);
    private l;
    get previewRect(): RectDescription;
    set previewRect(a: RectDescription);
    private az;
    get windowPositionHorizontal(): number;
    set windowPositionHorizontal(a: number);
    private a0;
    get windowPositionVertical(): number;
    set windowPositionVertical(a: number);
    private by;
    get chartTitle(): string;
    set chartTitle(a: string);
    private cp;
    get titleHorizontalAlignment(): string;
    set titleHorizontalAlignment(a: string);
    private cj;
    get subtitleHorizontalAlignment(): string;
    set subtitleHorizontalAlignment(a: string);
    private cr;
    get titleTextStyle(): string;
    set titleTextStyle(a: string);
    private cl;
    get subtitleTextStyle(): string;
    set subtitleTextStyle(a: string);
    private cq;
    get titleTextColor(): string;
    set titleTextColor(a: string);
    private ck;
    get subtitleTextColor(): string;
    set subtitleTextColor(a: string);
    private ax;
    get titleTopMargin(): number;
    set titleTopMargin(a: number);
    private av;
    get titleLeftMargin(): number;
    set titleLeftMargin(a: number);
    private aw;
    get titleRightMargin(): number;
    set titleRightMargin(a: number);
    private at;
    get titleBottomMargin(): number;
    set titleBottomMargin(a: number);
    private as;
    get subtitleTopMargin(): number;
    set subtitleTopMargin(a: number);
    private aq;
    get subtitleLeftMargin(): number;
    set subtitleLeftMargin(a: number);
    private ar;
    get subtitleRightMargin(): number;
    set subtitleRightMargin(a: number);
    private ao;
    get subtitleBottomMargin(): number;
    set subtitleBottomMargin(a: number);
    private cf;
    get subtitle(): string;
    set subtitle(a: string);
    private ay;
    get topMargin(): number;
    set topMargin(a: number);
    private al;
    get leftMargin(): number;
    set leftMargin(a: number);
    private an;
    get rightMargin(): number;
    set rightMargin(a: number);
    private aj;
    get bottomMargin(): number;
    set bottomMargin(a: number);
    private ai;
    get autoMarginWidth(): number;
    set autoMarginWidth(a: number);
    private ah;
    get autoMarginHeight(): number;
    set autoMarginHeight(a: number);
    private s;
    get isAntiAliasingEnabledDuringInteraction(): boolean;
    set isAntiAliasingEnabledDuringInteraction(a: boolean);
    private am;
    get pixelScalingRatio(): number;
    set pixelScalingRatio(a: number);
    private ak;
    get interactionPixelScalingRatio(): number;
    set interactionPixelScalingRatio(a: number);
    private ae;
    get actualPixelScalingRatio(): number;
    set actualPixelScalingRatio(a: number);
    private ad;
    get actualInteractionPixelScalingRatio(): number;
    set actualInteractionPixelScalingRatio(a: number);
    private j;
    get actualWindowRect(): RectDescription;
    set actualWindowRect(a: RectDescription);
    private af;
    get actualWindowPositionHorizontal(): number;
    set actualWindowPositionHorizontal(a: number);
    private ag;
    get actualWindowPositionVertical(): number;
    set actualWindowPositionVertical(a: number);
    private b8;
    get seriesCursorMouseMoveRef(): string;
    set seriesCursorMouseMoveRef(a: string);
    private cb;
    get seriesMouseLeftButtonDownRef(): string;
    set seriesMouseLeftButtonDownRef(a: string);
    private cc;
    get seriesMouseLeftButtonUpRef(): string;
    set seriesMouseLeftButtonUpRef(a: string);
    private cd;
    get seriesMouseMoveRef(): string;
    set seriesMouseMoveRef(a: string);
    private b9;
    get seriesMouseEnterRef(): string;
    set seriesMouseEnterRef(a: string);
    private ca;
    get seriesMouseLeaveRef(): string;
    set seriesMouseLeaveRef(a: string);
    private cs;
    get windowRectChangedRef(): string;
    set windowRectChangedRef(a: string);
    private ce;
    get sizeChangedRef(): string;
    set sizeChangedRef(a: string);
    private bw;
    get actualWindowRectChangedRef(): string;
    set actualWindowRectChangedRef(a: string);
    private b3;
    get gridAreaRectChangedRef(): string;
    set gridAreaRectChangedRef(a: string);
    private f;
    get series(): SeriesDescription[];
    set series(a: SeriesDescription[]);
    private b4;
    get legendRef(): string;
    set legendRef(a: string);
    private bx;
    get background(): string;
    set background(a: string);
    private cm;
    get titleFontFamily(): string;
    set titleFontFamily(a: string);
    private au;
    get titleFontSize(): number;
    set titleFontSize(a: number);
    private co;
    get titleFontWeight(): string;
    set titleFontWeight(a: string);
    private cn;
    get titleFontStyle(): string;
    set titleFontStyle(a: string);
    private cg;
    get subtitleFontFamily(): string;
    set subtitleFontFamily(a: string);
    private ap;
    get subtitleFontSize(): number;
    set subtitleFontSize(a: number);
    private ci;
    get subtitleFontWeight(): string;
    set subtitleFontWeight(a: string);
    private ch;
    get subtitleFontStyle(): string;
    set subtitleFontStyle(a: string);
}
